<?php

/**
 * Provide a admin area view for the plugin
 *
 * This file is used to markup the admin-facing aspects of the plugin.
 *
 * @link       https://realestatecrm.io
 * @since      1.0.0
 *
 * @package    Cf7_recrmio
 * @subpackage Cf7_recrmio/admin/partials
 */
?>

<!-- This file should primarily consist of HTML with a little bit of PHP. -->

<div class="pt-4 pb-4">
    <div class="wrapper">
        <?php if (isset($error) && $error != "") { ?>

            <div class="alert alert-danger alert-dismissible fade show" role="alert">
                <?php echo $error; ?>
                <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
        <?php } ?>
        <?php if (isset($success) && $success != "") { ?>

            <div class="alert alert-success alert-dismissible fade show" role="alert">
                <?php echo $success; ?>
                <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
        <?php } ?>
        <div class="navtabContainer">

            <div class="tab-content">
                <div id="connection">
                    <h4>Settings</h4>
                    <form action="" method="post" id="settingsform">
                        <div class="row">
                            <div class="col-sm-8">
                                <div class="form-group required">
                                    <label for="">Configure your api access at https://app.realestatecrm.io/account#api_key</label>
                                    <input type="text" class="form-control" name="companyapi" id="companyapi" value="<?php echo isset($api_key) ? $api_key : ''; ?>" placeholder="">
                                </div>
                            </div>
                            <div class="col-sm-4">
                                <div class="form-group">
                                    <label class="d-none d-sm-block">&nbsp;</label>
                                    <button type="submit" name="apisubmit" class="btn btn-primary btn-md btn-circle min-w-120">Connect</button>
                                    <!-- <a href="javascript:void(0);" class="btn btn-primary btn-md btn-circle min-w-120">Connect</a> -->
                                    <?php if (isset($is_valid) && $is_valid == 'yes') { ?>
                                        <span class="sm-badge badge badge-success rounded-circle ml-2 mt-2">&nbsp;</span>
                                    <?php } else { ?>
                                        <span class="sm-badge badge badge-danger rounded-circle ml-2 mt-2">&nbsp;</span>
                                    <?php } ?>
                                </div>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>