<?php

/**
 * The plugin bootstrap file
 *
 * This file is read by WordPress to generate the plugin information in the plugin
 * admin area. This file also includes all of the dependencies used by the plugin,
 * registers the activation and deactivation functions, and defines a function
 * that starts the plugin.
 *
 * @link              https://realestatecrm.io
 * @since             1.0.0
 * @package           Cf7_recrmio
 *
 * @wordpress-plugin
 * Plugin Name:       Contact form 7 + Realestatecrm
 * Plugin URI:        https://realestatecrm.io/wordpress-contact-form-7-plugin/
 * Description:       Contact Form 7 integration with RealEstateCRM.io
 * Version:           1.0.0
 * Author:            remarso
 * Author URI:        https://realestatecrm.io/
 * License:           GPL-2.0+
 * License URI:       http://www.gnu.org/licenses/gpl-2.0.txt
 * Text Domain:       cf7-recrmio
 * Domain Path:       /languages
 */

// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
	die;
}
define( 'CF7_RECRMIO_API', 'https://app.realestatecrm.io/api' );
define( 'CF7_RECRMIO_URL', 'https://app.realestatecrm.io' );
/**
 * Currently plugin version.
 * Start at version 1.0.0 and use SemVer - https://semver.org
 * Rename this for your plugin and update it as you release new versions.
 */
define( 'CF7_RECRMIO_VERSION', '1.0.0' );

/**
 * The code that runs during plugin activation.
 * This action is documented in includes/class-cf7-recrmio-activator.php
 */
function activate_cf7_recrmio() {
	require_once plugin_dir_path( __FILE__ ) . 'includes/class-cf7-recrmio-activator.php';
	Cf7_recrmio_Activator::activate();
}

/**
 * The code that runs during plugin deactivation.
 * This action is documented in includes/class-cf7-recrmio-deactivator.php
 */
function deactivate_cf7_recrmio() {
	require_once plugin_dir_path( __FILE__ ) . 'includes/class-cf7-recrmio-deactivator.php';
	Cf7_recrmio_Deactivator::deactivate();
}

register_activation_hook( __FILE__, 'activate_cf7_recrmio' );
register_deactivation_hook( __FILE__, 'deactivate_cf7_recrmio' );

/**
 * The core plugin class that is used to define internationalization,
 * admin-specific hooks, and public-facing site hooks.
 */
require plugin_dir_path( __FILE__ ) . 'includes/class-cf7-recrmio.php';

/**
 * Begins execution of the plugin.
 *
 * Since everything within the plugin is registered via hooks,
 * then kicking off the plugin from this point in the file does
 * not affect the page life cycle.
 *
 * @since    1.0.0
 */
function run_cf7_recrmio() {

	$plugin = new Cf7_recrmio();
	$plugin->run();

}
run_cf7_recrmio();
add_action('init', 'do_output_buffer');
function do_output_buffer() {
        ob_start();
}
