<?php

/**
 * Fired during plugin activation
 *
 * @link       https://realestatecrm.io
 * @since      1.0.0
 *
 * @package    Cf7_recrmio
 * @subpackage Cf7_recrmio/includes
 */

/**
 * Fired during plugin activation.
 *
 * This class defines all code necessary to run during the plugin's activation.
 *
 * @since      1.0.0
 * @package    Cf7_recrmio
 * @subpackage Cf7_recrmio/includes
 * @author     Your Name <email@realestatecrm.io>
 */
class Cf7_recrmio_Activator
{

	/**
	 * Short Description. (use period)
	 *
	 * Long Description.
	 *
	 * @since    1.0.0
	 */
	public static function activate()
	{
		global $wpdb;
		$charset_collate = $wpdb->get_charset_collate();

		$table_lead = $wpdb->prefix . "cf7_recrmio_lead";

		$sql_country_master = "CREATE TABLE $table_lead (
			`ID` bigint(11) unsigned NOT NULL AUTO_INCREMENT,
			`name` varchar(255),
			`first_name` varchar(255),
			`last_name` varchar(255),
			`email` varchar(255),
			`phone` varchar(255),
			`city` varchar(255),
			`description` varchar(255),
			`lead_source_id`  int,
			`lead_company_name` varchar(255),
			`lead_source_description` varchar(255),
			`owned_by`   varchar(255),
			`lead_data` text,
			`lead_uuid` varchar(255),
			`contact_uuid` varchar(255),
			`response_msg` varchar(255),
			`status` int(255),
			`form_id` int(255),
			`created_at` TIMESTAMP NOT NULL,
			PRIMARY KEY  (id)
		  ) $charset_collate;";

		require_once(ABSPATH . 'wp-admin/includes/upgrade.php');
		dbDelta($sql_country_master);
	}
}
